Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFileDialog.Option

    java.lang.Object
      java.lang.Enum<QFileDialog.Option>
          com.trolltech.qt.gui.QFileDialog.Option

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFileDialog.Option>

Enclosing class:
  QFileDialog

    public static enum QFileDialog.Option

extends java.lang.Enum<QFileDialog.Option>
implements QtEnumerator

Press link for info on QFileDialog.Option

Enum Constant Summary
`DontConfirmOverwrite` Don't ask for confirmation if an existing file is selected.
`DontResolveSymlinks` Don't resolve symlinks in the file dialog.
`DontUseNativeDialog` Don't use the native file dialog.
`DontUseSheet` Don't make the native file dialog a sheet.
`ShowDirsOnly` Only show directories in the file dialog.

Method Summary
`static QFileDialog.Options` | `createQFlags(QFileDialog.Option... values)`
`static QFileDialog.Option` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileDialog.Option` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFileDialog.Option[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ShowDirsOnly

    public static final QFileDialog.Option ShowDirsOnly

  Only show directories in the file dialog. By default both files and directories are shown.

### DontResolveSymlinks

    public static final QFileDialog.Option DontResolveSymlinks

  Don't resolve symlinks in the file dialog. By default symlinks are resolved.

### DontConfirmOverwrite

    public static final QFileDialog.Option DontConfirmOverwrite

  Don't ask for confirmation if an existing file is selected. By default confirmation is requested.

### DontUseSheet

    public static final QFileDialog.Option DontUseSheet

  Don't make the native file dialog a sheet. By default on Mac OS X, the native file dialog is made a sheet if it has a parent that can take a sheet.

### DontUseNativeDialog

    public static final QFileDialog.Option DontUseNativeDialog

  Don't use the native file dialog. By default on Mac OS X and Windows, the native file dialog is used.

Method Detail

### values

    public static final QFileDialog.Option[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFileDialog.Option c : QFileDialog.Option.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFileDialog.Option valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFileDialog.Options createQFlags(QFileDialog.Option... values)

### resolve

    public static QFileDialog.Option resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD